### Method

# Devhelp BookList add_book

#### Declaration [src]

    void
    dh_book_list_add_book (
      DhBookList* book_list,
      DhBook* book
    )

#### Description [src]

Emits the `DhBookList::add-book` signal.

It is a programmer error to call this function if `book` is already inserted in `book_list`.

Available since: | 3.30

#### Parameters

`book` | `DhBook`
| A `DhBook`.
| The data is owned by the caller of the function.